{
	saved_FirstTime[0]
	
	Init[()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			GiveWeapon(56);
			SetState_Patrol(0);
			SetAttackDistance(13,6);
			SetLineOfSight(2,200);
			SetWander(0);
			PlayAnimation(7);
		}
	}]

	AroundCorner[()
	{
		SetAttackDistance(4, 4);
		FollowPath("AmbushCorner_1",0);
		FollowPathCallback(127, "CrouchDown");	
	}]
	
	CrouchDown[()
	{
		SetCrouching();
		PlayAnimation(10);
		SetAttackDistance(9, 4);	
	}]
	
	SneakAttack7[()
	{
		SetAttackDistance(6, 4);
		FollowPath("AmbushCorner_2",0);
		FollowPathCallback(127, "CrouchDown");	
	}]
	
	SneakAttack8[()
	{
		SetAttackDistance(10, 4);
		FollowPath("AmbushCorner_3",0);
	}]
	
	SneakAttack9[()
	{
		SetAttackDistance(8, 4);
		FollowPath("AmbushCorner_4",0);
		FollowPathCallback(127, "CrouchDown");	
	}]
	
	SneakAttack10[()
	{
		SetAttackDistance(6, 4);
		FollowPath("AmbushCorner_5",0);
		FollowPathCallback(127, "CrouchDown");	
	}]
}